package main

import (
	"net/http"

	"m.cluseau.fr/go/httperr"
)

var (
	ErrNotFound     = httperr.NotFound
	ErrUnauthorized = httperr.StdStatus(http.StatusUnauthorized)
	ErrForbidden    = httperr.StdStatus(http.StatusForbidden)
	ErrInternal     = httperr.StdStatus(http.StatusInternalServerError)
	ErrInvalidToken = httperr.NewStd(1000, http.StatusForbidden, "invalid token")
	ErrStoreLocked  = httperr.NewStd(1001, http.StatusServiceUnavailable, "store is locked")
)
